part of tecfy_corev2_client_package;

abstract class TecfyStateView<T extends StatefulWidget,
    C extends BaseController> extends State<T> {
  late C _controller;

  @override
  dispose() {
    _controller.dispose();
    super.dispose();
  }

  String trans(String? text) {
    if (text == null || text.isEmpty) return '';
    return AppLocale.translate(text);
  }
}

abstract class TecfyState<T extends StatefulWidget> extends State<T> {
  String trans(String? text) {
    if (text == null || text.isEmpty) return '';
    return AppLocale.translate(text);
  }

  dateFormat(DateTime? date,
          {String format = 'dd/MM/yyyy', String whenNull = ''}) =>
      date == null ? whenNull : intl.DateFormat(format).format(date.toLocal());
}
